package fr.itsonus.bousoleplussbackend.infrastructure.postgres.repositories;

import fr.itsonus.bousoleplussbackend.infrastructure.postgres.models.PostgresQuizDto;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.repository.Repository;

import java.nio.channels.FileChannel;
import java.util.Date;
import java.util.List;
import java.util.Optional;

public interface QuizCachePostgresRepository extends Repository<PostgresQuizDto, Long> {

    Optional<PostgresQuizDto> findById(Long id);

    Page<PostgresQuizDto> findAllByBundleId(Long userId, Pageable pageable);

    List<PostgresQuizDto> findAllByCreatedDateBefore(Date createdDate);

    PostgresQuizDto save(PostgresQuizDto quiz);

    Optional<PostgresQuizDto> findByIdAndBundle_User_Id(Long id, Long userId);
}
