import {defineStore} from 'pinia';

export interface Question {
  id: number;
  label: string;
  description: string;
}

export const useQuestionStore = defineStore('question', {
  state: () => ({}),
  actions: {

    findDefaults(axeId: number): Promise<Question> {
      return useApi("/questions/search/defaults", {
        params: {
          axeId
        }
      });
    },

    findAll(axeId: number): Promise<Question[]> {
      return useApi("/questions/search", {
        params: {
          axeId,
        }
      });
    }
  }
});
